aboutsummaryrefslogtreecommitdiff
path: root/0.8.0/paludis/qa/package_name_check_TEST_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to '0.8.0/paludis/qa/package_name_check_TEST_setup.sh')
-rwxr-xr-x0.8.0/paludis/qa/package_name_check_TEST_setup.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/0.8.0/paludis/qa/package_name_check_TEST_setup.sh b/0.8.0/paludis/qa/package_name_check_TEST_setup.sh
new file mode 100755
index 0000000..202ea16
--- /dev/null
+++ b/0.8.0/paludis/qa/package_name_check_TEST_setup.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir package_name_check_TEST_dir || exit 2
+cd package_name_check_TEST_dir || exit 3
+
+mkdir "valid-cat" || exit 4
+mkdir "valid-cat/valid-pkg" || exit 5
+mkdir "valid-cat/invalid-pkg..." || exit 6
+
+mkdir "invalid-cat!" || exit 7
+mkdir "invalid-cat!/valid-pkg" || exit 8
+mkdir "invalid-cat!/invalid-pkg..." || exit 9
+